# Generated by rust2rpm 26
%bcond_without check
%global forgeurl0 https://github.com/ChrisTitusTech/linutil
%global tag0 2024.10.31

%forgemeta

Name:           linutil
Version:        %{tag0}
Release:        %autorelease
Summary:        inutil is a toolbox designed to simplify everyday Linux tasks

SourceLicense:  MIT
License:  ((MIT OR Apache-2.0) AND Unicode-DFS-2016) AND (Apache-2.0 OR Apache-2.0 WITH LLVM-exception OR MIT) AND (Apache-2.0 OR BSD-2-Clause OR MIT) AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR MIT) AND (ISC) AND (MIT)

# LICENSE.dependencies contains a full license breakdown

URL:            https://github.com/ChrisTitusTech/linutil/
Source:         %{forgesource0}
# bump version boiunds for ego-tree
BuildRequires:  cargo-rpm-macros >= 24
BuildRequires:  desktop-file-utils
BuildRequires:  tomcli

%global _description %{expand:
Chris Titus Tech's Linux Toolbox - Linutil is a distro-agnostic toolbox
designed to simplify everyday Linux tasks.}

%description %{_description}

%prep
%autosetup -n linutil-%{version} -p1
#make deps more linient
sed 's/tree-sitter-bash = \"0.23.1\"/tree-sitter-bash = \">=0.23.1, <0.25\"/' ./tui/Cargo.toml >  ./tui/Cargo.toml
sed 's/ego-tree = \"0.6.2\"/ego-tree = \">=0.6.2, <0.10\"/' ./Cargo.toml > ./Cargo.toml
#remove [patch.crates-io]
sed -i '14d' Cargo.toml
sed -i '15d' Cargo.toml
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
install -Dpm 0755 target/rpm/linutil -t %{buildroot}%{_bindir}/
# icons are not docs
cp ./docs/assets/favicon.png %{buildroot}%{_datadir}/icons/linutil.png
desktop-file-install --dir=%{buildroot}%{_datadir}/applications  \
                                    --set-key=Exec  --set-value=%{_bindir}/linutil   \
                                    --set-key=Icon  --set-value=%{_datadir}/icons/linutil.png    \
                                    ./linutil.desktop


%if %{with check}
%check
%cargo_test
%endif

%files
%license LICENSE
%license LICENSE.dependencies
%doc README.md
%doc cargo-lock-merge.txt
%doc man/*
%doc  docs/*
%doc  ./tui/cool_tips.txt
%{_datadir}/icons/linutil.png
%{_bindir}/linutil
%{_datadir}/applications/*.desktop

%changelog
%autochangelog
